> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driver.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Browser Session

> Retrieve an existing browser session.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/browser/session
openapi: 3.0.0
info:
  version: 1.0.0
  title: Driver API
  description: API for creating Driver browser sessions and scraping pages.
  contact:
    name: Contact Us
    email: hello@driver.dev
    url: https://driver.dev
servers:
  - url: https://api.driver.dev
security: []
externalDocs:
  description: Learn more
  url: https://docs.driver.dev
paths:
  /v1/browser/session:
    get:
      summary: Get Browser Session
      description: Retrieve an existing browser session.
      operationId: getBrowserSession
      parameters:
        - schema:
            type: string
            example: example-session-id
            description: The ID of the browser session to retrieve.
          required: true
          description: The ID of the browser session to retrieve.
          name: sessionId
          in: query
      responses:
        '200':
          description: Successfully retrieved browser session.
          content:
            application/json:
              schema:
                type: object
                properties:
                  sessionId:
                    type: string
                    description: The ID of the created browser session.
                  status:
                    type: string
                    enum:
                      - starting
                      - active
                      - completed
                      - error
                    description: The status of the session.
                  servedBy:
                    type: string
                    description: The node ID that is serving this session.
                  createdAt:
                    type: string
                    description: The ISO 8601 timestamp when the session was created.
                  stoppedAt:
                    type: string
                    nullable: true
                    description: >-
                      The ISO 8601 timestamp when the session was stopped, or
                      null if it is still active.
                  cdpUrl:
                    type: string
                    nullable: true
                    format: uri
                    description: >-
                      The URL to access the Chrome DevTools Protocol for this
                      session, or null if not available.
                  note:
                    type: string
                    nullable: true
                    description: >-
                      An optional note attached to the session, or null if not
                      set.
                  bandwidthBytes:
                    type: integer
                    minimum: 0
                    description: The total bandwidth used by the session in bytes.
                required:
                  - sessionId
                  - status
                  - servedBy
                  - createdAt
                  - stoppedAt
                  - cdpUrl
                  - note
        '401':
          description: Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
        '404':
          description: Browser session not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Session not found
                    example: Session not found
                required:
                  - error
        '500':
          description: Failed to retrieve browser session.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: Your Driver API key. Get one at https://app.driver.dev

````